import { HttpClient } from "@angular/common/http";
import { ApiVisa, BaseApiTemplateService } from "../../shared";
import { Observable } from "rxjs";
export declare class POSupplierAccessDashboardServiceBackofficeEp extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    generateReport(start_date: string, end_date: string, visa: ApiVisa): Observable<any>;
}
